OSXでbundle installするとmysql2でエラーが起きる

bundle install すると、以下のようなエラーが表示されて、成功しなかった。

Installing mysql2 0.4.3 with native extensions

Gem::Ext::BuildError: ERROR: Failed to build gem native extension.
(以下略)

以下のブログ記事を参考にしたら、一瞬で解決。

macOS Sierra で mysql2 の bundle install に失敗する場合 – ハトネコエ Web がくしゅうちょう http://nekonenene.hatenablog.com/entry/2016/10/31/061350

bundle config build.mysql2 --with-opt-lib=/usr/local/opt/openssl/lib --with-opt-include=-I/usr/local/opt/openssl/include

コメントを残す